Subject: Re: [PATCH v3 devicetree 0/6] DT bindings for Felix DSA switch on LS1028A

From: Shawn Guo <[email-masked]>
Date: Mon, 24 Feb 2020 19:20:26 +0800

On Sun, Feb 23, 2020 at 10:47:10PM +0200, Vladimir Oltean wrote:
> This series officializes the device tree bindings for the embedded
> Ethernet switch on NXP LS1028A (and for the reference design board).
> The driver has been in the tree since v5.4-rc6.
> 
> It also performs some DT binding changes and minor cleanup, as per
> feedback received in v1 and v2:
> 
> - I've changed the DT bindings for the internal ports from "gmii" to
>   "internal". This means changing the ENETC phy-mode as well, for
>   uniformity. So I would like the entire series to be merged through a
>   single tree, probably the devicetree one - something which David
>   Miller has aggreed to, here [0].
> - Disabled all Ethernet ports in the LS1028A DTSI by default, which
>   means not only the newly introduced switch ports, but also RGMII
>   standalone port 1.
> 
> [0]: https://lkml.org/lkml/2020/2/19/973
> 
> Claudiu Manoil (2):
>   arm64: dts: fsl: ls1028a: add node for Felix switch
>   arm64: dts: fsl: ls1028a: enable switch PHYs on RDB
> 
> Vladimir Oltean (4):
>   arm64: dts: fsl: ls1028a: delete extraneous #interrupt-cells for ENETC
>     RCIE
>   arm64: dts: fsl: ls1028a: disable all enetc ports by default

I applied these 4 DTS patches with changing prefix to 'arm64: dts: ls1028a: '.

Shawn

>   net: dsa: felix: Use PHY_INTERFACE_MODE_INTERNAL instead of GMII
>   dt-bindings: net: dsa: ocelot: document the vsc9959 core
> 
>  .../devicetree/bindings/net/dsa/ocelot.txt    | 116 ++++++++++++++++++
>  .../boot/dts/freescale/fsl-ls1028a-qds.dts    |   1 +
>  .../boot/dts/freescale/fsl-ls1028a-rdb.dts    |  61 ++++++++-
>  .../arm64/boot/dts/freescale/fsl-ls1028a.dtsi |  89 +++++++++++++-
>  drivers/net/dsa/ocelot/felix.c                |   3 +-
>  drivers/net/dsa/ocelot/felix_vsc9959.c        |   3 +-
>  6 files changed, 265 insertions(+), 8 deletions(-)
>  create mode 100644 Documentation/devicetree/bindings/net/dsa/ocelot.txt
> 
> -- 
> 2.17.1
>